Uploading a file or creating a directory
Upload a file or create a directory to provide one of the body params. You can not provide both at the same time. Note: If you upload a file, use the multipart/form-data post. For creating a directory, use the regular application/json post.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the directory to place the file or directory in.
"fsd_abc12345678"
Body
The file you want to upload
Response
Returning the created file or directory
File or Directory
ID of the file or directory. Files are starting with fsf_, directories with fsd_.
"fsf_abc12345678"
Type of this content item. Can be file or directory.
"file"
Name of the file or directory
"contract_v2.pdf"
Size of the file in bytes. Will be null for directories.
1284
The mime-type of the file. Will be null for directories.
"application/pdf"
ID of the Share this file or directory is shared in, if shared.
"fss_abc12345678"
Date and time when the payment link was created. Written in ATOM format.
"2024-04-29T21:00:00+02:00"
